Public Class DateForm
    Private Sub DateForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        lblInfo.Text = "I was created at " & DateTime.Now.ToLongTimeString()
    End Sub

    Public Sub RefreshData()
        lblInfo.Text = "I was refreshed at " & DateTime.Now.ToLongTimeString()
    End Sub

    Private Sub cmdRefresh_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdRefresh.Click
        ' Refresh this form.
        RefreshData()

        ' Call a function in the parent to refresh all the others.
        CType(Me.MdiParent, ParentForm).RefreshAllChildren()
    End Sub
End Class